<!DOCTYPE html>
<html>
    <head>
        <title>Ma todolist</title>
        <link rel="stylesheet" href="style.css" />
        <style>
            #container      { display: flex; justify-content: space-around; }
            form            { display: flex; flex-direction: column; }
            a               { text-decoration: none; color: red;
            a > span button { background-color: dodgerblue; }
            ul              { width: 50%; background-color: cadetblue; border-radius: 8px;}
            li              { display: flex; justify-content: space-between; width: 90%; background-color: beige; margin: 8px;}

            input, label    { margin: 5px;}
        </style>
    </head>

<body>
    <h1>Ma todolist</h1>

    <section id="container">

        <form action="/todo/ajouter/" method="post">
            <h2>Formulaire d'ajout</h2>
            <label for="newtodo">Inscrivez ci-dessous la tâche à ajouter à votre liste :</label>
            <input type="text" name="newtodo" id="newtodo" autofocus />
            <input type="submit" />
        </form>

        <ul>
            <% todolist.forEach(function(todo, index) { %>
                <li>
                    <a href="/todo/supprimer/<%= index %>">✘</a>
                    <%= todo %>
                    <button><a href="/todo/modif/<%= index %>">Modifier</a></button>
                </li>
            <% }); %>
        </ul>


    </section>
</body>

</html>